Bug Hunting Session
Bug 96681 - Lack of UI to change the text background color of a style
Summary: Lack of UI to change the text background color of a style
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.4.0.1 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-23 06:16 UTC by V字龍(Vdragon)
Modified: 2017-05-14 19:09 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description V字龍(Vdragon) 2015-12-23 06:16:23 UTC
As title, there's no UI to configure a style's text background color, it should be one under the "font effect" tab.
Comment 1 Cor Nouws 2015-12-23 15:40:51 UTC
Hi Vdragon,

Thanks for filing the issue. I can confirm it.

The origin lies in the situation that not too long ago background color was added as attribute for text-parts in a text box / shape.
Only later (issue 88276) the UI was added for that.

Regards - Cor
Comment 2 QA Administrators 2017-01-03 19:58:02 UTC Comment hidden (obsolete)
Comment 3 Commit Notification 2017-03-01 11:00:32 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a04abc59ae24690992a771305a4e89451c77c289

tdf#96681 Lack of UI to change the text background color of a style

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2017-04-13 09:02:00 UTC
Hello,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Comment 5 Cor Nouws 2017-04-18 10:09:01 UTC
In Version: 5.4.0.0.alpha0+
Build ID: 2f5baab8498ce1303dded8aa7e16adbf80341c39
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-04-17_23:20:42
Locale: nl-NL (nl_NL.UTF-8); Calc: group

there is the tab Highlighting to set the background color of styles and characters in Impress.
So fixed indeed.
Comment 6 Cor Nouws 2017-04-18 10:09:37 UTC
@ Roahn Kumar, rohankanojia420, thanks!
Comment 7 Commit Notification 2017-05-14 19:09:25 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c8139626befdadda16b0fa66fad317cf79949f29

tdf#96681: Add flag so we can actually work with SID_ATTR_BRUSH_CHAR

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.